summaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorTor Arne Vestbø <tor.arne.vestbo@nokia.com>2010-05-03 12:34:27 +0200
committerTor Arne Vestbø <tor.arne.vestbo@nokia.com>2010-05-03 12:34:27 +0200
commit415b44ffb6ffcdeb4ad5b7cdd6d9d9e17ab3e47f (patch)
treed9417f99ef9665167668fe3047416a0d11e1518f /examples
Initial checkinHEADmaster
Diffstat (limited to 'examples')
-rw-r--r--examples/cpptest.ini5
-rw-r--r--examples/libspiff.ini5
-rw-r--r--examples/make_docs_cpptest.sh4
-rw-r--r--examples/make_docs_helper.sh58
-rw-r--r--examples/make_docs_libspiff.sh4
-rw-r--r--examples/make_docs_qwt.sh4
-rw-r--r--examples/qwt.ini5
7 files changed, 85 insertions, 0 deletions
diff --git a/examples/cpptest.ini b/examples/cpptest.ini
new file mode 100644
index 0000000..fc6ec60
--- /dev/null
+++ b/examples/cpptest.ini
@@ -0,0 +1,5 @@
+ForceOverwrite=1
+Namespace=net.sourceforge.cpptest
+Verbose=1
+VirtualFolder=cpptest-1.1.0
+
diff --git a/examples/libspiff.ini b/examples/libspiff.ini
new file mode 100644
index 0000000..cde73ae
--- /dev/null
+++ b/examples/libspiff.ini
@@ -0,0 +1,5 @@
+ForceOverwrite=1
+Namespace=net.sourceforge.libspiff
+Verbose=1
+VirtualFolder=libspiff-0.8.3
+
diff --git a/examples/make_docs_cpptest.sh b/examples/make_docs_cpptest.sh
new file mode 100644
index 0000000..9823560
--- /dev/null
+++ b/examples/make_docs_cpptest.sh
@@ -0,0 +1,4 @@
+#! /usr/bin/env bash
+source make_docs_helper.sh
+go cpptest 1.1.0 .tar.gz
+
diff --git a/examples/make_docs_helper.sh b/examples/make_docs_helper.sh
new file mode 100644
index 0000000..ec5b0d4
--- /dev/null
+++ b/examples/make_docs_helper.sh
@@ -0,0 +1,58 @@
+function go() {
+
+PACKAGE_NAME=$1
+PACKAGE_VERSION=$2
+ARCHIVE_EXT=$3
+
+URI_PREFIX="http://downloads.sourceforge.net/${PACKAGE_NAME}/"
+URI_BASE="${PACKAGE_NAME}-${PACKAGE_VERSION}"
+URI_FILE="${URI_BASE}${ARCHIVE_EXT}"
+INI_FILE="${PACKAGE_NAME}.ini"
+QCH_FILE="${PACKAGE_NAME}-${PACKAGE_VERSION}-doc.qch"
+QHP_FILE="${PACKAGE_NAME}-${PACKAGE_VERSION}-doc.qhp"
+
+HPP_FILE="html/index.hhp"
+HPP_LOCATION="${URI_BASE}/doc/${HPP_FILE}"
+
+## Download
+if [ ! -f "${URI_FILE}" ]; then
+ wget "${URI_PREFIX}${URI_FILE}" || exit 1
+fi
+
+## Unpack
+if [ ! -d "${URI_BASE}" ]; then
+ tar xf "${URI_FILE}"
+fi
+
+pushd "${URI_BASE}/doc" || exit 1
+
+## Make temp file
+TEMPFILE=`mktemp`
+if [ "x${TEMPFILE}" = x ]; then
+ popd ; exit 1
+fi
+
+## Fix Doxygen input
+sed -e 's/^\(GENERATE_HTMLHELP\).\+$/\1 = YES/' -e 's/^\(HHC_LOCATION.\+\)$/# \1/' Doxyfile > "${TEMPFILE}"
+rm Doxyfile
+mv "${TEMPFILE}" Doxyfile || { popd ; exit 1 ; }
+
+## Create Doxygen output
+if [ ! -f "${HPP_FILE}" ]; then
+ doxygen || { popd ; exit 1 ; }
+fi
+
+popd || exit 1
+
+
+## Create Qt help files
+LD_LIBRARY_PATH=$QTDIR/lib ../doxygen2qthelp "--config=${INI_FILE}" \
+ --qch "${HPP_LOCATION}" "${QCH_FILE}" || exit 1
+
+LD_LIBRARY_PATH=$QTDIR/lib ../doxygen2qthelp "--config=${INI_FILE}" \
+ --qhp "${HPP_LOCATION}" "${QHP_FILE}" || exit 1
+
+exit 0
+
+}
+
diff --git a/examples/make_docs_libspiff.sh b/examples/make_docs_libspiff.sh
new file mode 100644
index 0000000..7151fec
--- /dev/null
+++ b/examples/make_docs_libspiff.sh
@@ -0,0 +1,4 @@
+#! /usr/bin/env bash
+source make_docs_helper.sh
+go libspiff 0.8.3 .tar.bz2
+
diff --git a/examples/make_docs_qwt.sh b/examples/make_docs_qwt.sh
new file mode 100644
index 0000000..f4e66aa
--- /dev/null
+++ b/examples/make_docs_qwt.sh
@@ -0,0 +1,4 @@
+#! /usr/bin/env bash
+source make_docs_helper.sh
+go qwt 5.0.2 .tar.bz2
+
diff --git a/examples/qwt.ini b/examples/qwt.ini
new file mode 100644
index 0000000..af6ed08
--- /dev/null
+++ b/examples/qwt.ini
@@ -0,0 +1,5 @@
+ForceOverwrite=1
+Namespace=net.sourceforge.qwt
+Verbose=1
+VirtualFolder=qwt-5.0.2
+